#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_ONPE(void)
{
#if (PRO_ONPE)
#if 1
   SetTelltalePos("HBAGreen",              HBAGreen);
   SetTelltalePos("HBAWhite",              HBAWhite);
   SetTelltalePos("HighBeam",              HighBeam);
   SetTelltalePos("LowBeam",                LowBeam);
   SetTelltalePos("LeftTurn",              LeftTurn);
   SetTelltalePos("RightTurn",            RightTurn);
   SetTelltalePos("TailLamp",              TailLamp);
   SetTelltalePos("FrontFog",              FrontFog);
   SetTelltalePos("RearFog",                RearFog);
   SetTelltalePos("ParkingBreak",      ParkingBreak);
   SetTelltalePos("OverSpeed",            OverSpeed);
   SetTelltalePos("EPB",                        EPB);
   SetTelltalePos("DBCGreen",              DBCGreen);
   SetTelltalePos("DBCYellow",            DBCYellow);
   SetTelltalePos("ABS",                        ABS);
   SetTelltalePos("LedLampFail",        LedLampFail);
   SetTelltalePos("SeatBelt",              SeatBelt);
   SetTelltalePos("FcaYellow",            FcaYellow);
   SetTelltalePos("FcaRed",                  FcaRed);
   SetTelltalePos("ECALL",                    Ecall);
   SetTelltalePos("InteriorLamp",      InteriorLamp);
   SetTelltalePos("Tpms",                      Tpms);
   SetTelltalePos("4WD Lock",          Four_WD_Lock);
   SetTelltalePos("Mdps",                      Mdps);
   SetTelltalePos("Immobilizer",        Immobilizer);
   SetTelltalePos("MasterSymbol",      MasterSymbol);
   SetTelltalePos("CheckEngine",        CheckEngine);
   SetTelltalePos("BatteryCharge",    BatteryCharge);
   SetTelltalePos("AirBag",                  AirBag);
   SetTelltalePos("OilPressure",        OilPressure);
   SetTelltalePos("ESC",                        ESC);
   SetTelltalePos("EscOff",                  EscOff);
   SetTelltalePos("AllLedOpen",          AllLedOpen);
   SetTelltalePos("LowFuel",     DMS_RestoreDefault);
#else
   SetTelltalePos("LowFuel",     DMS_RestoreDefault);
   SetTelltalePos("ECO",                DMS_Led_ECO);
   SetTelltalePos("SPORT",            DMS_Led_Sport);
   SetTelltalePos("SMART Comfort",   DMS_Led_Smart_ComfortColor);
   SetTelltalePos("SMART Eco",       DMS_Led_Smart_EcoColor);
   SetTelltalePos("SMART Sport",     DMS_Led_Smart_SportColor);
   SetTelltalePos("SMART Smart",     DMS_Led_Smart_SmartColor); 
   SetTelltalePos("RestoreDefault",        DMS_RestoreDefault);
#endif
#endif
}


